Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Class AbstractDragDropListenerProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.dnd.core.AbstractDragDropListenerProvider

All Implemented Interfaces:
  IDragDropListenerProvider, IProvider

public abstract class AbstractDragDropListenerProvider
extends AbstractProvider
implements IDragDropListenerProvider

The abstract parent of all concrete drag and drop listener providers. A concrete provider needs to override the `getDragSourceListener()` and `getDropTargetListener` methods. The `provides` method has a default implementation. The `provides()` method is already handled by the proxy for the provider ( `DragDropListenerService.ProviderDescriptor`). The proxy contains all the information necessary for the `provides()` method.

Constructor Summary
`AbstractDragDropListenerProvider()` Constructor for AbstractDragDropListenerProvider.

Method Summary
`IDragSourceListener[]` `getDragSourceListeners(IDragListenerContext context)` Returns an array of `IDragSourceListener` for the given `IDragDropListenerContext`
`IDropTargetListener[]` `getDropTargetListeners(IDropListenerContext context)` Returns an array of `IDropTargetListener` for the given `IDragDropListenerContext`
`boolean` `provides(IOperation operation)` Returns `true` if the provider can handle the `ListenerOperation` operation

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### AbstractDragDropListenerProvider

    public AbstractDragDropListenerProvider()

  Constructor for AbstractDragDropListenerProvider.

Method Detail

### provides

    public final boolean provides(IOperation operation)

  Returns `true` if the provider can handle the `ListenerOperation` operation

  Specified by:
    `provides` in interface `IProvider`
  Parameters:
    `operation` - An operation
  Returns:
    Returns `true` if the provider can handle the `ListenerOperation` operation. Otherwise returns `false`
  See Also:
    `IProvider.provides(org.eclipse.gmf.runtime.common.core.service.IOperation)`

### getDragSourceListeners

    public IDragSourceListener[] getDragSourceListeners(IDragListenerContext context)

  Description copied from interface: `IDragDropListenerProvider`
  Returns an array of `IDragSourceListener` for the given `IDragDropListenerContext`

  Specified by:
    `getDragSourceListeners` in interface `IDragDropListenerProvider`
  Parameters:
    `context` - The context for the provider
  Returns:
    Returns an array of `IDragSourceListener`

### getDropTargetListeners

    public IDropTargetListener[] getDropTargetListeners(IDropListenerContext context)

  Description copied from interface: `IDragDropListenerProvider`
  Returns an array of `IDropTargetListener` for the given `IDragDropListenerContext`

  Specified by:
    `getDropTargetListeners` in interface `IDragDropListenerProvider`
  Parameters:
    `context` - The context for the provider
  Returns:
    Returns an array of `IDropTargetListener`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.